## ros-foxy-pmb2-gazebo 3.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4.0)
project(pmb2_gazebo)

find_package(ament_cmake_auto REQUIRED)

# PAL Robotics stricter build flags, other developers should not worry about this
find_package(ament_cmake_pal QUIET)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  ament_lint_auto_find_test_dependencies()
endif()

# Media commented out
ament_auto_package(INSTALL_TO_SHARE launch models worlds)

=== debian/changelog ===
ros-foxy-pmb2-gazebo (3.0.2-1focal) focal; urgency=high

  * Add gazebo_ros2_control dependency
  * Contributors: Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Mon, 18 Oct 2021 22:00:00 -0000

ros-foxy-pmb2-gazebo (3.0.1-1focal) focal; urgency=high

  * Resolve missing dependency
  * Merge branch 'foxy_obstacle_avoidance' into 'foxy-devel'
    default world
    See merge request robots/pmb2_simulation!33
  * default world
  * Contributors: Noel Jimenez Garcia, Victor Lopez, victor

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Thu, 12 Aug 2021 22:00:00 -0000

ros-foxy-pmb2-gazebo (3.0.0-1focal) focal; urgency=high

  * Cleanup old launch files
  * Correct python launch file
  * Add ament and apply corrections
  * Cleanup
  * Cleanup pmb2_gazebo spawn
  * Path fixes for gazebo
  * First gazebo launch with ROS2
  * Contributors: Victor Lopez

 -- PAL Robotics <info@pal-robotics.com>  Mon, 19 Jul 2021 22:00:00 -0000

ros-foxy-pmb2-gazebo (2.0.24-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Tue, 12 Jan 2021 23:00:00 -0000

ros-foxy-pmb2-gazebo (2.0.23-1focal) focal; urgency=high

  * Merge branch 'rename_tf_prefix' into 'erbium-devel'
    Rename tf_prefix to robot_namespace
    See merge request robots/pmb2_simulation!30
  * Rename tf_prefix to robot_namespace
  * Contributors: davidfernandez, victor

 -- PAL Robotics <info@pal-robotics.com>  Wed, 29 Jul 2020 22:00:00 -0000

ros-foxy-pmb2-gazebo (2.0.22-1focal) focal; urgency=high

  * Merge branch 'add-more-gz-args' into 'erbium-devel'
    Add more gz args to use other worlds or models
    See merge request robots/pmb2_simulation!29
  * Add more gz args to use other worlds or models
  * Contributors: Victor Lopez, victor

 -- PAL Robotics <info@pal-robotics.com>  Mon, 13 Apr 2020 22:00:00 -0000

ros-foxy-pmb2-gazebo (2.0.21-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Thu, 02 Apr 2020 22:00:00 -0000

ros-foxy-pmb2-gazebo (2.0.20-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Wed, 18 Mar 2020 23:00:00 -0000

ros-foxy-pmb2-gazebo (2.0.19-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Mon, 21 Oct 2019 22:00:00 -0000

ros-foxy-pmb2-gazebo (2.0.18-1focal) focal; urgency=high

  * Merge branch 'refactoring' into 'erbium-devel'
    removed public launches in favor of using public_sim flag
    See merge request robots/pmb2_simulation!23
  * removed joystick teleop
  * Contributors: Procópio Stein, Victor Lopez

 -- PAL Robotics <info@pal-robotics.com>  Sun, 13 Oct 2019 22:00:00 -0000

ros-foxy-pmb2-gazebo (2.0.17-1focal) focal; urgency=high

  * Merge branch 'remove-sonar-cloud' into 'erbium-devel'
    remove sonar cloud
    See merge request robots/pmb2_simulation!21
  * remove sonar cloud
  * Contributors: Procópio Stein, Victor Lopez

 -- PAL Robotics <info@pal-robotics.com>  Wed, 09 Oct 2019 22:00:00 -0000

ros-foxy-pmb2-gazebo (2.0.16-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Wed, 09 Oct 2019 22:00:00 -0000

ros-foxy-pmb2-gazebo (2.0.15-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Wed, 09 Oct 2019 22:00:00 -0000

ros-foxy-pmb2-gazebo (2.0.14-1focal) focal; urgency=high

  * Merge branch 'remove-speed-limit' into 'erbium-devel'
    removed speed limit
    See merge request robots/pmb2_simulation!20
  * removed remap of twist_mux topic
  * removed speed limit
  * Contributors: Procópio Stein, Victor Lopez

 -- PAL Robotics <info@pal-robotics.com>  Tue, 24 Sep 2019 22:00:00 -0000

ros-foxy-pmb2-gazebo (2.0.13-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Sun, 22 Sep 2019 22:00:00 -0000

ros-foxy-pmb2-gazebo (2.0.12-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Tue, 13 Aug 2019 22:00:00 -0000

ros-foxy-pmb2-gazebo (2.0.11-1focal) focal; urgency=high

  * Merge branch 'multi_pmb2' into 'erbium-devel'
    Changes for multi pmb2 simulation
    See merge request robots/pmb2_simulation!17
  * Fix parameters in multi pmb2 simulation
  * Changes for multi pmb2 simulation
  * Contributors: Adria Roig, Victor Lopez

 -- PAL Robotics <info@pal-robotics.com>  Wed, 31 Jul 2019 22:00:00 -0000

ros-foxy-pmb2-gazebo (2.0.10-1focal) focal; urgency=high

  * Merge branch 'simple_sim' into 'erbium-devel'
    Add simple pmb2 model in launch files
    See merge request robots/pmb2_simulation!16
  * Missing simple_models_gazebo depend
  * Add simple pmb2 model in launch files
  * Contributors: Adria Roig, Victor Lopez

 -- PAL Robotics <info@pal-robotics.com>  Mon, 01 Jul 2019 22:00:00 -0000

ros-foxy-pmb2-gazebo (2.0.9-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Sun, 16 Jun 2019 22:00:00 -0000

ros-foxy-pmb2-gazebo (2.0.8-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Sun, 19 May 2019 22:00:00 -0000

ros-foxy-pmb2-gazebo (2.0.7-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Thu, 31 Jan 2019 23:00:00 -0000

ros-foxy-pmb2-gazebo (2.0.6-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Thu, 24 Jan 2019 23:00:00 -0000

ros-foxy-pmb2-gazebo (2.0.5-1focal) focal; urgency=high

  * Merge branch 'args_fix' into 'erbium-devel'
    fix for unused arg exception with pass_all_args
    See merge request robots/pmb2_simulation!11
  * fix for unused arg exception with pass_all_args
  * Contributors: Sai Kishor Kothakota, Victor Lopez

 -- PAL Robotics <info@pal-robotics.com>  Tue, 22 Jan 2019 23:00:00 -0000

ros-foxy-pmb2-gazebo (2.0.4-1focal) focal; urgency=high



 -- PAL Robotics <info@pal-robotics.com>  Wed, 16 Jan 2019 23:00:00 -0000

ros-foxy-pmb2-gazebo (2.0.3-1focal) focal; urgency=high

  * Merge branch 'specifics-refactor' into 'erbium-devel'
    Change robot for laser_model
    See merge request robots/pmb2_simulation!9
  * Add and pass all arguments
  * Remove unused argument
  * Change robot for laser_model


=== debian/control ===
Source: ros-foxy-pmb2-gazebo
Section: misc
Priority: optional
Maintainer: Victor Lopez <victor.lopez@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake-auto, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-pmb2-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-gazebo-plugins, ros-foxy-gazebo-ros, ros-foxy-gazebo-ros2-control, ros-foxy-launch-pal, ros-foxy-pal-gazebo-worlds, ros-foxy-pmb2-bringup, ros-foxy-pmb2-controller-configuration, ros-foxy-pmb2-description, ros-foxy-ros-workspace
Description: Simulation files for the PMB2 robot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-pmb2-gazebo//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
